
function vid_mate_get_video_id() {
	var vid_mate_url = document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	if(-1 == vid_mate_url.indexOf("tube8.com"))
	{
		return null;
	}
	//var tmp_re = new RegExp("/show/title/([^/]+)/id/([0-9]+)(.*)");
	var tmp_re = new RegExp("/([0-9]+)/$");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		if(parseInt(tmp_m[1]) < 100000)
		{
			return null;
		}

		return tmp_m[1];
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "tube8";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = vid_mate_get_video_id();

	var tmp_content = "";

	if(vm_content.length > 128)
	{
		tmp_content = vm_content;
	}
	else
	{
		tmp_content = document.body.innerHTML;
	}

	if (-1 == tmp_content.indexOf("mp4"))
	{
		vid_mate_error_default('tube8 1');
		return null;
	}

	rtn_video.title = ""
	var tmp_re = new RegExp("<h1>(.+?)</h1>");
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		rtn_video.title = tmp_m[1];
	}
	if("" == rtn_video.title)
	{
		var tmp_re = new RegExp("<h1 id=\"title_video_page\">(.+?)</h1>");
		if (tmp_re.test(tmp_content)) {
			var tmp_m = tmp_content.match(tmp_re);
			rtn_video.title = tmp_m[1];
		}
	}

	var arr = document.getElementsByTagName("img");
	for(var i=0; i<arr.length; ++i)
	{
		var src = arr[i].getAttribute("src");
		if(-1 != src.indexOf("/"+rtn_video.id+"/") && -1 != src.indexOf("x"))
		{
			rtn_video.picture_default = src;
			rtn_video.picture_big = src;
			break;
		}
	}

	var videoUrlArray = [];
	var tmp_re = new RegExp(/"http:\/\/(.+?)"/g);
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		for(var i=0; i<tmp_m.length; ++i)
		{
			if(!tmp_m[i])
			{
				continue;
			}
			tmp_m[i] = tmp_m[i].replace(/"/g, "");
			tmp_m[i] = tmp_m[i].replace(/&amp;/g, "&");
			if(-1 != tmp_m[i].indexOf("mp4") || -1 != tmp_m[i].indexOf("3gp"))
			{
				var exist_flag = false;
				for(var j=0; j<videoUrlArray.length; ++j)
				{
					if(tmp_m[i] + "" == videoUrlArray[j] + "")
					{
						exist_flag = true;
						break;
					}
				}
				if(false == exist_flag)
				{
					videoUrlArray.push(tmp_m[i]);
				}
			}
		}
	}

	var tmp_re = new RegExp(/'http:\/\/(.+?)'/g);
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		for(var i=0; i<tmp_m.length; ++i)
		{
			tmp_m[i] = tmp_m[i].replace("'", "");
			tmp_m[i] = tmp_m[i].replace(/&amp;/g, "&");
			if(-1 != tmp_m[i].indexOf("mp4") || -1 != tmp_m[i].indexOf("3gp"))
			{
				var exist_flag = false;
				for(var j=0; j<videoUrlArray.length; ++j)
				{
					if(tmp_m[i] + "" == videoUrlArray[j] + "")
					{
						exist_flag = true;
						break;
					}
				}
				if(false == exist_flag)
				{
					videoUrlArray.push(tmp_m[i]);
				}
			}
		}
	}
	rtn_video.url = document.URL;

	if (0 == videoUrlArray.length)
	{
		vid_mate_error_default('tube8 videoUrlArray.length==0');
		return null;
	}

	for(var i = 0; i<videoUrlArray.length; ++i)
	{
		videoUrlArray[i] = decodeURIComponent(videoUrlArray[i]);
		videoUrlArray[i] = videoUrlArray[i].replace(/&amp;/g, "&");
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = videoUrlArray[i];
		var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
		tmp_video_file.format = tmp_format;
		tmp_video_file.title = tmp_format;
		tmp_video_file.f_id = rtn_video.id+'_'+tmp_format;
		rtn_video.files.push(tmp_video_file);
	}

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	var tmp_content = document.body.innerHTML;
	if(-1 == tmp_content.indexOf("mp4"))
	{
		var url = document.URL;
		var referer = url;
		var cookie = "";
		var userAgent = "Mozilla/5.0 (Linux; Android 4."+rand_num(0,4)+"; Build/KRT16M) AppleWebKit/"+rand_num(100,537)+".36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/"+rand_num(300,400)+".36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	}
	else
	{
		vid_mate_video_analytics(vid_mate_video_id);
	}
}

function rand_num(min, max)
{
	return parseInt(Math.random() * (max - min) + min);
}




