var global_document_url = "";
var global_vid_mate_video_id = "";


function vid_mate_get_video_id(url) {

    //http://thevideo.me/embed-ys2my94zwmr2-640x360.html
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0)
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("thevideo"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("embed-"))
	{
		return null;
	}
	
	var arr = vid_mate_url.split("/");
	if(arr.length == 4)
	{
		return arr[3];
	}

	return null;
}

function vid_mate_check(url)
{
    if (vid_mate_get_video_id(url) == null)
	{
        vid_mate_set_canDownload(false);
		return false;
	}
	else
	{
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
	if(null == url || undefined == url || 0 == url.length)
	{
		return vid_mate_get_video_info_on_blank(document.URL);
	}

    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_url_get = url;
	global_document_url = vid_mate_url_get;

	var vid_mate_video_id = vid_mate_get_video_id(global_document_url);
	if(null == vid_mate_video_id)
	{
		return null;
	}
	global_vid_mate_video_id = vid_mate_video_id;
	vid_mate_setParseMsg(20, 60, 'Get Video Info... ...');

	try {
		var ua = "Mozilla/"+rand_num(5, 6)+".0 (Windows NT 6.1) AppleWebKit/"+rand_num(300, 500)+"."+rand_num(30, 50)+" (KHTML, like Gecko) chrome/"+rand_num(40, 50)+".0."+rand_num(1000, 2000)+"."+rand_num(5, 6)+"";
		vid_mate_app_xhr_adv(vid_mate_url_get, vid_mate_url_get, null, ua, 'GET', null);
	} catch (e) {
		vid_mate_error_default('speedplay 4 \r\n' + e.name + ": " + e.message);
		return null;
	}
}


function vid_mate_video_analytics(video_info)
{
    vid_mate_setParseMsg(60, 70, 'Analytics Video Info... ...');
	if("" == video_info)
	{
		vid_mate_error_default('speedplay error:page is null.');
		return null;
	}

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "speedplay";
	
	rtn_video.title = cutstr(video_info, "title: '", "'");
	if(!rtn_video.title)
	{
		rtn_video.title = "download thevideo movie";
	}
	
	rtn_video.url = global_document_url;
	var video_img = cutstr(video_info, "image : '", "'");
	rtn_video.picture_default = video_img;
	rtn_video.picture_big = video_img;
	var mp4_video_url = cutstr(video_info, "file: '", "'");
	if(mp4_video_url)
	{
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = mp4_video_url;
		tmp_video_file.f_id = rtn_video.id + '_0_mp4';
		var tmp_format = "mp4";
		tmp_video_file.format = tmp_format;
		tmp_video_file.title = "Full movie (" + tmp_format + ")";
		rtn_video.files.push(tmp_video_file);
	}

	if(rtn_video.files.length > 0)
	{
		vid_mate_setParseMsg(100, 100, 'Completed');
		vid_mate_set_videoInfo(JSON.stringify(rtn_video));
	}
	else
	{
		vid_mate_error_default('speedplay error: no video source.');
		return null;
	}
}


function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function rand_num(min, max)
{
	return parseInt(Math.random() * (max - min) + min);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}