var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;

function vid_mate_get_video_id(url) {
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	//http://freevids.in/play.php?id=293606657
	if(-1 == vid_mate_url.indexOf("freevids"))
	{
		return null;
	}

	if(-1 != vid_mate_url.indexOf("play.php"))
	{
		var vid_mate_video_id = vid_mate_get_parameter(vid_mate_url, "id");
		if(vid_mate_video_id)
		{
			return vid_mate_video_id;
		}
	}

	if(-1 != vid_mate_url.indexOf("download.php"))
	{
		var vid_mate_video_id = vid_mate_get_parameter(vid_mate_url, "file");
		if(vid_mate_video_id)
		{
			return vid_mate_video_id;
		}
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('freevids 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "freevids";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	var videoUrl = cutstr(vm_content, "\"nofollow\" href=\"", "\"");
	if(!videoUrl)
	{
		videoUrl = rcutstr(vm_content, "\"", "\"><img src=\"/dwd.gif\">");
		if(!videoUrl)
		{
			vid_mate_error_default('get video url fail');
			return null;
		}
	}

	var videoImg = rcutstr(vm_content, "\"", "\" style=\"margin:0 auto;display:block\"");
	if(videoImg)
	{
		rtn_video.picture_default = videoImg;
		rtn_video.picture_big = videoImg;
	}

	videoImg = rcutstr(vm_content, "\"", "\" style=\"max-height:150px; max-width:300px;\"");
	if(videoImg)
	{
		rtn_video.picture_default = videoImg;
		rtn_video.picture_big = videoImg;
	}

	//title
	rtn_video.title = "";
	var title = "";
	var tmp_format = "mp4";

	var title = cutstr(vm_content, "<h1>", "</h1>");
	if (title)
	{
		title = title.trim();
		title = title.replace("Free Download", "");
		title = title.trim();
		var arr = title.split(".");
		tmp_format = arr.pop();
		title = arr.join(".");
		rtn_video.title = title;
	}
	else
	{
		title = cutstr(vm_content, "align=\"center\"><b>", "</b>");
		if(title)
		{
			title = title.trim();
			rtn_video.title = title;
		}
	}


	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	tmp_video_file.f_id = rtn_video.id+"_"+tmp_format;
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function rcutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p2 = content.indexOf(suffix);
	if(-1 == p2)
	{
		return "";
	}

	content = content.substr(0, p2);

	var p1 = content.lastIndexOf(prefix);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1 + prefix_len , p2);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

