var global_offset = 0;
var global_document_url = "";

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) 
	{
		return null;
	}

	//http://tune.pk/video/6331046/point-break-wingsuits-official-featurette-2016- 
	if(-1 == vid_mate_url.indexOf("tune"))
	{
		return null;
	}
	
	if(-1 == vid_mate_url.indexOf("/video/"))
	{
		return null;
	}

	var arr = vid_mate_url.split("/");
	if(arr.length != 6)
	{
		return null;
	}
	else
	{
		return arr[4];
	}
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{

    url = document.URL;

    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	global_document_url = url;
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info...  ...');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('tune 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "tune";
	rtn_video.id = vid_mate_get_video_id(global_document_url);
	rtn_video.url = global_document_url;

	var title = cutstr(vm_content, "<title>", "</title>");
	if(!title)
	{
		title = "Download Mp4";
	}
	rtn_video.title = title;
	
	var videoImg = cutstr(vm_content, "name=\"thumbnail\" content=\"", "\"");
	if(videoImg)
	{
		rtn_video.picture_default = videoImg;
		rtn_video.picture_big = videoImg;
	}

	var obj_str = cutstr(vm_content, "new TunePlayer(", "}});");
	if(!obj_str)
	{
		vid_mate_error_default('get TunePlayer fail');
		return null;
	}

	obj_str += "}}";
	eval("var obj = "+obj_str+";");

	var sources = obj.details.player.sources;
	for(var i = 0; i<sources.length; ++i)
	{
		var source = sources[i];
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = source.file;
		tmp_video_file.f_id = rtn_video.id + '_'+source.label;
		tmp_video_file.format = source.type;
		tmp_video_file.title = source.label+"P";
		rtn_video.files.push(tmp_video_file);
	}

	if(0 == rtn_video.files.length)
	{
		vid_mate_error_default('no video');
		return null;	
	}
	
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}


function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}


function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}